Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.models.media

# Interface Encoding

All Superinterfaces:
  `Constructible`, `Extensible<Encoding>`

public interface Encoding extends Constructible, Extensible<Encoding>
Encoding

See Also:
  - OpenAPI Specification Encoding Object

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Encoding.Style`

## Method Summary

Modifier and Type
Method
Description
`Encoding`
`addHeader(String key, Header header)`
Adds the given header to this Encoding' list of headers with the given string as its key.
`default Encoding`
`allowReserved(Boolean allowReserved)`
AllowReserved determines whether the parameter value SHOULD allow reserved characters to be encoded without percent-encoding.
`default Encoding`
`contentType(String contentType)`
The Content-Type for encoding a specific property.
`default Encoding`
`explode(Boolean explode)`
When this is true, property values of type array or object generate separate parameters for each value of the array, or key-value-pair of the map.
`Boolean`
`getAllowReserved()`
AllowReserved determines whether the parameter value SHOULD allow reserved characters to be encoded without percent-encoding.
`String`
`getContentType()`
The Content-Type for encoding a specific property.
`Boolean`
`getExplode()`
When this is true, property values of type array or object generate separate parameters for each value of the array, or key-value-pair of the map.
`Map<String,Header>`
`getHeaders()`
Headers property of an Encoding is a map that allows additional information to be provided as headers
`Encoding.Style`
`getStyle()`
Style describes how the encoding value will be serialized depending on the type of the parameter value.
`default Encoding`
`headers(Map<String,Header> headers)`
Headers property of an Encoding is a map that allows additional information to be provided as headers
`void`
`removeHeader(String key)`
Removes the given header to this Encoding' list of headers with the given string as its key.
`void`
`setAllowReserved(Boolean allowReserved)`
AllowReserved determines whether the parameter value SHOULD allow reserved characters to be encoded without percent-encoding.
`void`
`setContentType(String contentType)`
The Content-Type for encoding a specific property.
`void`
`setExplode(Boolean explode)`
When this is true, property values of type array or object generate separate parameters for each value of the array, or key-value-pair of the map.
`void`
`setHeaders(Map<String,Header> headers)`
Headers property of an Encoding is a map that allows additional information to be provided as headers
`void`
`setStyle(Encoding.Style style)`
Style describes how the encoding value will be serialized depending on the type of the parameter value.
`default Encoding`
`style(Encoding.Style style)`
Style describes how the encoding value will be serialized depending on the type of the parameter value.

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtension, getExtensions, hasExtension, removeExtension, setExtensions`

## Method Details

### contentType

default Encoding contentType(String contentType)
The Content-Type for encoding a specific property. Default value depends on the property type: i.e. for binary string - contentType is application/octet-stream, for primitive types - text/plain, for object - application/json.

This method sets contentType property for the Encoding instance to the passed parameter and returns the modified instance

Parameters:
  `contentType` - a string that describes the type of content of the encoding
Returns:
  Encoding

### getContentType

String getContentType()
The Content-Type for encoding a specific property. Default value depends on the property type: i.e. for binary string - contentType is application/octet-stream, for primitive types - text/plain, for object - application/json.

This method returns the contentType property from an Encoding instance.

Returns:
  String contentType

### setContentType

void setContentType(String contentType)
The Content-Type for encoding a specific property. Default value depends on the property type: i.e. for binary string - contentType is application/octet-stream, for primitive types - text/plain, for object - application/json.

This method sets thecontentType property of an Encoding instance to the passed contentType parameter.

Parameters:
  `contentType` - a string that describes the type of content of the encoding

### headers

default Encoding headers(Map<String,Header> headers)
Headers property of an Encoding is a map that allows additional information to be provided as headers

This method sets the headers property of Encoding instance to the passed headers argument and returns the modified instance.

Parameters:
  `headers` - a map of name to corresponding header object
Returns:
  Encoding

### getHeaders

Map<String,Header> getHeaders()
Headers property of an Encoding is a map that allows additional information to be provided as headers

This method returns the headers property from a Encoding instance.

Returns:
  a copy Map (potentially immutable) containing headers

### setHeaders

void setHeaders(Map<String,Header> headers)
Headers property of an Encoding is a map that allows additional information to be provided as headers

This method sets the headers property of Encoding instance to the passed headers argument.

Parameters:
  `headers` - a map of name to corresponding header object

### addHeader

Encoding addHeader(String key, Header header)
Adds the given header to this Encoding' list of headers with the given string as its key.

Parameters:
  `key` - a key conforming to the format required for this object
  `header` - the header object. null values will be rejected (implementation will throw an exception) or ignored.
Returns:
  the current Encoding object

### removeHeader

void removeHeader(String key)
Removes the given header to this Encoding' list of headers with the given string as its key.

Parameters:
  `key` - a key conforming to the format required for this object

### style

default Encoding style(Encoding.Style style)
Style describes how the encoding value will be serialized depending on the type of the parameter value.

This method sets the style property of Encoding instance to the passed style argument and returns the modified instance

Parameters:
  `style` - a string that descibes how encoding value will be serialized
Returns:
  Encoding

### getStyle

Encoding.Style getStyle()
Style describes how the encoding value will be serialized depending on the type of the parameter value.

This method returns the style property from a Encoding instance.

Returns:
  String style

### setStyle

void setStyle(Encoding.Style style)
Style describes how the encoding value will be serialized depending on the type of the parameter value.

This method sets the style property of Encoding instance to the given style argument.

Parameters:
  `style` - a string that descibes how encoding value will be serialized

### explode

default Encoding explode(Boolean explode)
When this is true, property values of type array or object generate separate parameters for each value of the array, or key-value-pair of the map. For other types of properties this property has no effect. When style is form, the default value is true. For all other styles, the default value is false.

This method sets the explode property of Encoding instance to the given explode argument and returns the instance.

Parameters:
  `explode` - a boolean that indicates whether the property values of array or object will generate separate parameters
Returns:
  Encoding

### getExplode

Boolean getExplode()
When this is true, property values of type array or object generate separate parameters for each value of the array, or key-value-pair of the map. For other types of properties this property has no effect. When style is form, the default value is true. For all other styles, the default value is false.

This method returns the explode property from a Encoding instance.

Returns:
  Boolean explode

### setExplode

void setExplode(Boolean explode)
When this is true, property values of type array or object generate separate parameters for each value of the array, or key-value-pair of the map. For other types of properties this property has no effect. When style is form, the default value is true. For all other styles, the default value is false.

This method sets the explode property of Encoding instance to the given explode argument.

Parameters:
  `explode` - a boolean that indicates whether the property values of array or object will generate separate parameters

### allowReserved

default Encoding allowReserved(Boolean allowReserved)
AllowReserved determines whether the parameter value SHOULD allow reserved characters to be encoded without percent-encoding.

This method sets the allowReserved property of Encoding instance to the given allowReserved argument and returns the instance.

Parameters:
  `allowReserved` - a boolean that determines whether the parameter value SHOULD allow reserved characters
Returns:
  Encoding

### getAllowReserved

Boolean getAllowReserved()
AllowReserved determines whether the parameter value SHOULD allow reserved characters to be encoded without percent-encoding.

This method returns the allowReserved property from a Encoding instance.

Returns:
  Boolean allowReserved

### setAllowReserved

void setAllowReserved(Boolean allowReserved)
AllowReserved determines whether the parameter value SHOULD allow reserved characters to be encoded without percent-encoding.

This method sets the allowReserved property to the given allowReserved argument.

Parameters:
  `allowReserved` - a boolean that determines whether the parameter value SHOULD allow reserved characters